package com.develop.food.base.api.request

import com.develop.food.base.http.generateMultipartBody
import com.develop.food.base.utils.getSN
import okhttp3.RequestBody

object ScoreBody {
    fun genScoreBody(
        recipeNumber: String,
        recipeEdition: String,
        score: String,
    ): RequestBody {
        val map = HashMap<String, String>()
        map["recipeNumber"] = recipeNumber
        map["recipeEdition"] = recipeEdition
        map["score"] = score
        map["sn"] = getSN()
        return map.generateMultipartBody()
    }
}